/* First screen ================ */

.first-screen {
  --first-screen-padding: 120px;

  padding-top: var(--first-screen-padding);
  padding-bottom: var(--first-screen-padding);

  @media (--desktop-large-max) {
    --first-screen-padding: 70px;
  }

  @media (--desktop-max) {
    --first-screen-padding: 60px;
  }

  @media (--tablet-max) {
    --first-screen-padding: 40px;
  }
}

.first-screen__content {
  max-width: 700px;

  @media (--desktop-large-max) {
    max-width: 600px;
  }

  @media (--desktop-max) {
    max-width: 550px;
  }

  @media (--laptop-max) {
    margin-right: auto;
    margin-left: auto;
    text-align: center;
  }
}

.first-screen__title {
  margin: 0;
  font-size: 70px;

  @media (--desktop-large-max) {
    font-size: 66px;
  }

  @media (--tablet-max) {
    margin-bottom: 10px;
  }
}

.first-screen__subtitle {
  margin-bottom: 20px;
  font-weight: var(--text-font-weight-bold);
  font-size: var(--text-size-h3);

  @media (--desktop-large-max) {
    font-size: 30px;
  }

  @media (--desktop-max) {
    font-size: 28px;
  }
}

.first-screen__text {
  margin-bottom: 40px;

  @media (--desktop-large-max) {
    margin-bottom: 20px;
  }

  @media (--laptop-min) {
    max-width: 90%;
  }
}

.first-screen__button {
  box-shadow: 2px 10px 24px rgba(6, 168, 231, .74);
}

.first-screen__social {
  margin-top: 40px;

  @media (--laptop-max) {
    margin-top: 20px;
  }

  @media (--laptop-max) {
    justify-content: center;
    margin-right: auto;
  }

  @media (--tablet-max) {
    margin-top: 20px;
  }
}

.first-screen__picture {
  position: absolute;
  right: calc((100vw - 1700px) / 2);
  bottom: 0;
  z-index: 2;
  display: flex;
  align-items: flex-end;
  max-width: 800px;

  @media (--desktop-large-max) {
    right: calc((100vw - 1500px) / 2);
    max-width: 700px;
  }

  @media (--desktop-max) {
    right: 0;
    max-width: 650px;
  }

  @media (--laptop-max) {
    display: none;
  }

  &::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: -1;
    display: block;
    width: 100%;
    height: 100%;
    background-color: var(--color-white);
    opacity: .5;
    filter: blur(100px);
  }
}
/* ================ end first screen */
